%define upstream_name    Config-MVP
%define upstream_version 2.200002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Multivalue-property config-loading state machine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load) >= 0.170.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Pluggable::Object)
BuildRequires: perl(Moose) >= 0.910.0
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::OneArgNew)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Role::HasMessage)
BuildRequires: perl(Role::Identifiable::HasIdent)
BuildRequires: perl(StackTrace::Auto)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Throwable)
BuildRequires: perl(Tie::IxHash)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
MVP is a state machine for loading configuration (or other information) for
libraries. It expects to generate a list of named sections, each of which
relates to a Perl namespace and contains a set of named parameters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.200.2-2.mga3
+ Revision: 364673
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 2.200.2-1.mga3
+ Revision: 254667
- update to 2.200002

* Mon Feb 21 2011 jquelin <jquelin> 2.200.1-1.mga1
+ Revision: 55395
- update to 2.200001

* Thu Jan 20 2011 jquelin <jquelin> 2.101.650-2.mga1
+ Revision: 25966
- mageia rebuild
- imported package perl-Config-MVP

